USE `stmms_ft`;

ALTER TABLE eb_exam_student ADD COLUMN `score_verify_user`	int(11) DEFAULT NULL COMMENT '成绩校验人ID';
ALTER TABLE eb_exam_student ADD COLUMN `score_verify_time`	datetime DEFAULT NULL COMMENT '成绩校验时间';
ALTER TABLE eb_exam_student ADD COLUMN `score_verify_flagged`	tinyint(1) DEFAULT NULL COMMENT '成绩校验标记结果';

ALTER TABLE eb_exam_subject ADD COLUMN `inspector_round` 	int(11) NOT NULL DEFAULT 1 COMMENT '复核轮数';

ALTER TABLE eb_inspect_history ADD COLUMN `inspector_round` 	int(11) NOT NULL COMMENT '复核轮数';

CREATE TABLE `eb_score_verify` 
(
	`id`           int(11)     NOT NULL AUTO_INCREMENT COMMENT '主键',
    `exam_id`			int(11)     NOT NULL COMMENT '考试ID',
  	`user_id`		int(11) 	NOT NULL COMMENT '操作人ID',
	`params` 		text 		 NOT NULL COMMENT '查询条件',
    `create_time`  		datetime     NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index1` (`exam_id`,`user_id`)
)  ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='成绩校验查询条件';
  
CREATE TABLE `eb_score_verify_detail` 
(
	`id`           int(11)     NOT NULL AUTO_INCREMENT COMMENT '主键',
    `score_verify_id`			int(11)     NOT NULL COMMENT '成绩校验查询条件ID',
    `student_id`			int(11)     NOT NULL COMMENT '考生ID',
  	`flagged`		tinyint(1)  DEFAULT NULL COMMENT '是否被标记',
  	`verify_time`  		datetime     DEFAULT NULL COMMENT '校验时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index1` (`score_verify_id`,`student_id`)
)  ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='成绩校验结果';
  

ALTER TABLE sc_answer_card ADD COLUMN `dpi` 	int(11) NOT NULL COMMENT 'dpi';
ALTER TABLE sc_answer_card ADD COLUMN `code` 	varchar(64) NOT NULL COMMENT '混扫代码';
CREATE TABLE `sc_answer_card_subject` 
(
	`id`           		int(11)     	NOT NULL AUTO_INCREMENT COMMENT '主键',
    `exam_id`			int(11)     	NOT NULL COMMENT '考试ID',
    `card_number`		int(11)     	NOT NULL COMMENT '卡格式号',
  	`subjectCode`		varchar(128)	NOT NULL COMMENT '科目代码',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index1` (`exam_id`,`card_number`,`subjectCode`)
)  ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='卡格式科目关联关系';
  